---
title: This returns the error report of the pim batch file.
slug: api-documentation/i5df-this-returns-the-error-report-of-the-pim-batch-file
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "WRLkShaZyIyCn8mJTOCDs",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report"
      }
    ],
    "name": "This returns the error report of the pim batch file.",
    "description": "Returns the current errors in report of the batch.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "page",
          "type": "integer<int32>",
          "description": "Offset",
          "format": "int32",
          "minimum": 0
        },
        {
          "kind": "required",
          "name": "pageSize",
          "type": "integer<int32>",
          "description": "Size",
          "format": "int32",
          "minimum": 0
        },
        {
          "kind": "required",
          "name": "errorType",
          "type": "string",
          "description": "Error Type",
          "enum": [
            "PROCESSING",
            "VALIDATION",
            "DUPLICATE",
            "ALL"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Erroneous Report returned successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "AttributeGroupBatchErroneousReport.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/AttributeGroupBatchErroneousReport.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Tit_xS_OtJaJezVcQtkE-",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer%3Cint32%3E&pageSize=integer%3Cint32%3E&errorType=PROCESSING' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "jp1RzA0QOJDqnBJhL6p3L",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer<int32>&pageSize=integer<int32>&errorType=PROCESSING\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "pECZsaqHc6bp_NS1WP26-",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer<int32>&pageSize=integer<int32>&errorType=PROCESSING\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "0h4zVuIpo8UiIOa3QZEJ_",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer<int32>&pageSize=integer<int32>&errorType=PROCESSING\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Tit_xS_OtJaJezVcQtkE-"
    },
    "results": {
      "languages": [
        {
          "id": "Luob3g6Ga4Uv_ljWawpZP",
          "language": "200",
          "code": "// Erroneous Report returned successfully.\n{}"
        }
      ],
      "selectedLanguageId": "Luob3g6Ga4Uv_ljWawpZP"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}